--- old/usr/src/cmd/rpcgen/rpc_clntout.c	Sun Aug  3 11:09:16 2014
+++ new/usr/src/cmd/rpcgen/rpc_clntout.c	Sun Aug  3 11:09:16 2014
@@ -20,6 +20,8 @@
  */
 
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -116,103 +118,45 @@
 
 	if (!newstyle) {
 		/* old style: always pass argument by reference */
-		if (Cflag) {	/* C++ style heading */
-			f_print(fout, "(");
-			ptype(proc->args.decls->decl.prefix,
-			    proc->args.decls->decl.type, 1);
+		f_print(fout, "(");
+		ptype(proc->args.decls->decl.prefix,
+		    proc->args.decls->decl.type, 1);
 
-			if (mtflag) {	/* Generate result field */
-				f_print(fout, "*argp, ");
-				if (!oneway) {
-					ptype(proc->res_prefix,
-					    proc->res_type, 1);
-					f_print(fout, "*%s, ", result);
-				}
-				f_print(fout, "%s%s)\n",
-				    addargtype, addargname);
-			} else
-				f_print(fout, "*argp, %s%s)\n",
-				    addargtype, addargname);
-		} else {
-			if (!mtflag)
-				f_print(fout, "(argp, %s)\n", addargname);
-			else {
-				f_print(fout, "(argp, ");
-				if (!oneway) {
-					f_print(fout, "%s, ",
-					    result);
-				}
-				f_print(fout, "%s)\n",
-				    addargname);
-			}
-			f_print(fout, "\t");
-			ptype(proc->args.decls->decl.prefix,
-			    proc->args.decls->decl.type, 1);
-			f_print(fout, "*argp;\n");
-			if (mtflag && !oneway) {
-				f_print(fout, "\t");
+		if (mtflag) {	/* Generate result field */
+			f_print(fout, "*argp, ");
+			if (!oneway) {
 				ptype(proc->res_prefix, proc->res_type, 1);
-				f_print(fout, "*%s;\n", result);
+				f_print(fout, "*%s, ", result);
 			}
-		}
+			f_print(fout, "%s%s)\n", addargtype, addargname);
+		} else
+			f_print(fout, "*argp, %s%s)\n", addargtype, addargname);
 	} else if (streq(proc->args.decls->decl.type, "void")) {
 		/* newstyle, 0 argument */
 		if (mtflag) {
 			f_print(fout, "(");
 
-			if (Cflag) {
-				if (!oneway) {
-					ptype(proc->res_prefix,
-					    proc->res_type, 1);
-					f_print(fout, "*%s, ", result);
-				}
-				f_print(fout, "%s%s)\n",
-				    addargtype, addargname);
-			} else
-				f_print(fout, "(%s)\n", addargname);
+			if (!oneway) {
+				ptype(proc->res_prefix, proc->res_type, 1);
+				f_print(fout, "*%s, ", result);
+			}
+			f_print(fout, "%s%s)\n", addargtype, addargname);
 
 		} else
-		if (Cflag)
 			f_print(fout, "(%s%s)\n", addargtype, addargname);
-		else
-			f_print(fout, "(%s)\n", addargname);
 	} else {
 		/* new style, 1 or multiple arguments */
-		if (!Cflag) {
-			f_print(fout, "(");
-			for (l = proc->args.decls;  l != NULL; l = l->next)
-				f_print(fout, "%s, ", l->decl.name);
-			if (mtflag && !oneway)
-				f_print(fout, "%s, ", result);
+		f_print(fout, "(");
+		for (l = proc->args.decls; l != NULL; l = l->next) {
+			pdeclaration(proc->args.argname, &l->decl, 0, ", ");
+		}
+		if (mtflag && !oneway) {
+			ptype(proc->res_prefix, proc->res_type, 1);
+			f_print(fout, "*%s, ", result);
 
-			f_print(fout, "%s)\n", addargname);
-			for (l = proc->args.decls; l != NULL; l = l->next) {
-				pdeclaration(proc->args.argname,
-				    &l->decl, 1, ";\n");
-			}
-			if (mtflag && !oneway) {
-				f_print(fout, "\t");
-				ptype(proc->res_prefix, proc->res_type, 1);
-				f_print(fout, "*%s;\n", result);
-			}
-
-		} else {	/* C++ style header */
-			f_print(fout, "(");
-			for (l = proc->args.decls; l != NULL; l = l->next) {
-				pdeclaration(proc->args.argname, &l->decl, 0,
-				    ", ");
-			}
-			if (mtflag && !oneway) {
-				ptype(proc->res_prefix, proc->res_type, 1);
-				f_print(fout, "*%s, ", result);
-
-			}
-			f_print(fout, "%s%s)\n", addargtype, addargname);
 		}
+		f_print(fout, "%s%s)\n", addargtype, addargname);
 	}
-
-	if (!Cflag)
-		f_print(fout, "\t%s%s;\n", addargtype, addargname);
 }
 
 
